-- 2024.01.02 出库核算报告明细表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALOUTRPT_DTL')
CREATE TABLE T_CAL_CALOUTRPT_DTL (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FRPTID BIGINT DEFAULT 0 NOT NULL,
                                  FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                  FCALTIME DATETIME,
                                  FMATRIXTYPE CHAR(1) DEFAULT ' ' NOT NULL,
                                  FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FCOSTPRICESOURCE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FBOOKDATE DATETIME,
                                  FAUDITDATE DATETIME,
                                  FREMARK  NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FCOSTSUBELEMENTID  BIGINT DEFAULT 0 NOT NULL,
                                  FBASEUNITID  BIGINT DEFAULT 0 NOT NULL,
                                  FCURRENCYID  BIGINT DEFAULT 0 NOT NULL,
                                  FINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FINUNITCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FINCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FOUTUNITCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FOUTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FCOSTDOMAINKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FPERIODID  BIGINT DEFAULT 0 NOT NULL,
                                  FCOSTACCOUNTID  BIGINT DEFAULT 0 NOT NULL,
                                  FSORTLISTID VARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FENTITY VARCHAR(80) DEFAULT ' ' NOT NULL,
                                  FMATERIALID  BIGINT DEFAULT 0 NOT NULL,
                                  FBILLTYPENAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);
