-- 核算余额表添加物料+子要素组合索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_MATERIAL_SUBELEMENT') CREATE INDEX IDX_BAL_MATERIAL_SUBELEMENT ON T_CAL_BAL (FMATERIALID,FCOSTSUBELEMENTID);
--标准成本差异月表增加物料+账薄索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_STANDCOST_CMAT') CREATE INDEX IDX_CAL_STANDCOST_CMAT  ON T_CAL_STANDCOST_BAL (FCOSTACCOUNTID,FMATERIALID);
--标准成本差异单增加单据编号索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_STDCOSTDIFF_BILLN') CREATE INDEX IDX_CAL_STDCOSTDIFF_BILLN  ON T_CAL_STDCOSTDIFF (FBILLNO);
--标准成本差异余额表分录增加索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SRCBILLENTRYID') CREATE INDEX IDX_CAL_SRCBILLENTRYID  ON T_CAL_STDCOSTDIFFENTRY (FSRCBILLENTRYID);
--账簿级成组关系添加核算成本记录分录ID
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_ATGROUPRECORDENTRYID') CREATE INDEX IDX_CAL_ATGROUPRECORDENTRYID  ON T_CAL_ATGROUPRECORD_ENTRY (FCOSTRECORDENTRYID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAL_STDCOSTENDPERACTMAT') CREATE INDEX IDX_BAL_STDCOSTENDPERACTMAT ON T_CAL_STANDCOST_BAL (FENDPERIOD,FCOSTACCOUNTID,FMATERIALID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CALBAL_ENDPERACTMAT') CREATE INDEX IDX_CALBAL_ENDPERACTMAT ON T_CAL_BAL (FENDPERIOD,FCOSTACCOUNTID,FMATERIALID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_STAND_PERIODMAT') CREATE INDEX IDX_CAL_STAND_PERIODMAT  ON T_CAL_STANDCOST_BAL (FPERIOD,FMATERIALID);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_PERIODMAT') CREATE INDEX IDX_CAL_BAL_PERIODMAT  ON T_CAL_BAL (FPERIOD,FMATERIALID);